import { Component, OnInit,Input } from '@angular/core';
import { OAuthService} from 'angular-oauth2-oidc'
import { IUser } from '../../models/user';
import {Store} from '@ngrx/store';
import * as appReducers from '../../reducers/app-common.reducer';
import * as appActions from '../../actions/app-common.actions';

@Component({
  selector: 'fm-user-menu',
  templateUrl: './user-menu.component.html',
  styleUrls: ['./user-menu.component.scss']
})
export class UserMenuComponent implements OnInit {

  @Input() user:IUser;
  @Input() showMenu:boolean;

  constructor(private oauthService:OAuthService, private store: Store<appReducers.State>) { }

  ngOnInit(): void {
  }

  getLetter():string {
      return this.user.name ? this.user.name.substr(0,1).toUpperCase():"";
  }

  logout(event:MouseEvent) {
    event.preventDefault();
    this.oauthService.logOut();
  }


  toggle(event:MouseEvent) {
    event.stopPropagation();
    this.store.dispatch(new appActions.ToggleAccountMenu());
  } 
}
